<VirtualHost *:80>
  ServerAdmin webmaster@store
  ServerName store.intra.hwen.de
  DocumentRoot /blob
  AssignUserId store store
  DavLockDB /var/spool/apache/store/DavStoreLock.db
  <Directory /blob>
    Dav filesystem
    DavBasePath /blob
    DavDepthInfinity on
    DavMinTimeout 0
    DavLockDiscovery on
    AuthName "Hwen Dav Store"
    AuthType Basic
    AuthBasicProvider file
    AuthUserFile /etc/apache2/htpasswd
    Require valid-user
    Options Indexes
  </Directory>
  {% for user in lookup('ansible.builtin.dict', store_htpasswd_entries) %}
  <Directory /blob/{{ user.key }}>
    Require user {{ user.key }}
  </Directory>
  {% endfor %}
  ErrorLog ${APACHE_LOG_DIR}/store-error.log
  CustomLog ${APACHE_LOG_DIR}/store-access.log combined
</VirtualHost>
